import project, os
import sys

from anuga.shallow_water.data_manager import sww2dem
from os import sep

time_dir = '20061127_055714_run' #
directory = project.output_dir
#name = directory + time_dir + sep + project.scenario_name
name = directory+sep+project.scenario_name

is_parallel = True
if is_parallel == True: nodes = 4
print 'output dir:', name

which_var = 1
if which_var == 0:  # Stage
    outname = name + '_stage'
    quantityname = 'stage'

if which_var == 1:  # Absolute Momentum
    outname = name + '_momentum_i50'
    quantityname = '(xmomentum**2 + ymomentum**2)**0.5'  

if which_var == 2:  # Depth
    outname = name + '_depth'
    quantityname = 'stage-elevation'  

if which_var == 3:  # Speed
    outname = name + '_speed_all'
    #quantityname = '((xmomentum/(stage-elevation))**2 + (ymomentum/(stage-elevation))**2)**0.5'  #Speed
    quantityname = '(xmomentum**2 + ymomentum**2)**0.5/(stage-elevation+1.e-30)'  #Speed

if which_var == 4:  # Elevation
    outname = name + '_elevation'
    quantityname = 'elevation'  #Elevation

if is_parallel == True:
    for i in range(2,nodes):
        namei = name + '_P%d_%d' %(i,nodes)
        outnamei = outname + '_P%d_%d' %(i,nodes)
        print 'start sww2dem for sww file %d' %(i)
        sww2dem(namei, basename_out = outnamei,
                    quantity = quantityname,
                    timestep = 50,
                    cellsize = 100,      
                    #easting_min = project.e_min_area,
                    #easting_max = project.e_max_area,
                    #northing_min = project.n_min_area,
                    #northing_max = project.n_max_area,        
                    #reduction = max, 
                    verbose = True,
                    format = 'asc')
else:
    print 'start sww2dem'
    sww2dem(name, basename_out = outname,
                quantity = quantityname,
                cellsize = 20,      
                easting_min = project.e_min_area,
                easting_max = project.e_max_area,
                northing_min = project.n_min_area,
                northing_max = project.n_max_area,        
                reduction = max, 
                verbose = True,
                format = 'asc')
